com.independentsoft.exchange

## Class Transition

- java.lang.Object
- - com.independentsoft.exchange.Transition

- Direct Known Subclasses:
    AbsoluteDateTransition, RecurringDateTransition, RecurringDayTransition

      public class Transition
      extends java.lang.Object

  Represents a time zone transition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transition()` Instantiates a new transition.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransitionTarget` | `getTarget()` Gets the Period or TransitionsGroup that is the target of the time zone transition.
    `java.lang.String` | `getTargetDescription()` Gets description of the target of the time zone transition.
    `void` | `setTarget(TransitionTarget target)` Sets the Period or TransitionsGroup that is the target of the time zone transition.
    `void` | `setTargetDescription(java.lang.String targetDescription)` Sets description of the target of the time zone transition.
    `java.lang.String` | `toString()` Converts the value of the current Transition object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Transition

          public Transition()

      Instantiates a new transition.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Transition object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getTarget

          public TransitionTarget getTarget()

      Gets the Period or TransitionsGroup that is the target of the time zone transition.
      Returns:
        the target

    - #### setTarget

          public void setTarget(TransitionTarget target)

      Sets the Period or TransitionsGroup that is the target of the time zone transition.
      Parameters:
        `target` - the new target

    - #### getTargetDescription

          public java.lang.String getTargetDescription()

      Gets description of the target of the time zone transition.
      Returns:
        the target description

    - #### setTargetDescription

          public void setTargetDescription(java.lang.String targetDescription)

      Sets description of the target of the time zone transition.
      Parameters:
        `targetDescription` - the new target description